import { createRouter, createWebHistory } from "vue-router";
/**
 * 说明
 * meta中 
 * keepAlive表示是否要缓存  
 */

const routes=[
  {
    path: "/",
    redirect: "/report/index"
  },
  {
    path: "/report/index",
    name: "ReportIndex",
    component: ()=>import("@/views/report/Index.vue"),
  },
  {
    path: "/report/search",
    name: "ReportSearch",
    component: ()=>import("@/views/report/Search.vue"),
  },
  {
    path: "/report/detail",
    name: "ReportDetail",
    component: ()=>import("@/views/report/Detail.vue"),
  },
  
  {
    path: '/:pathMatch(.*)',
    name: 'error',
    component: () => import("@/views/404.vue"),
    meta: { title: '404' },
  }

]

const router=createRouter({
  history:createWebHistory(import.meta.env.VITE_APP_BASE_URL),
  routes,
  scrollBehavior(to, from, savedPosition){
    if (savedPosition&&to.meta.keepAlive) {
      return savedPosition
    } else {
      return new Promise((resolve)=>{
        setTimeout(() => {
          resolve({left:0,top:0})
        }, 0);
      })
    }
  }
})

router.beforeEach((to, from, next) => {
	next();
})


export default router